{capture assign="headData"}
<script type="text/javascript" src="{'/javascript/config'|url}"></script> 
<script type="text/javascript" src="{'/javascript/core/engine.js'|resurl}"></script> 
<script type="text/javascript" src="{'/javascript/core/ajax.js'|resurl}"></script>
<script type="text/javascript" src="{'/javascript/webmaster/TextLengthCounter.js'|resurl}"></script>
<script type="text/javascript" src="{'/javascript/webmaster/KeywordSelector.js'|resurl}"></script>
<script type="text/javascript" src="{'/javascript/webmaster/WebsiteValidator.js'|resurl}"></script>   
<script type="text/javascript" src="{'/javascript/webmaster/WebsiteEditor.js'|resurl}"></script>
<script type="text/javascript" src="{'/javascript/webmaster/SubmitWebsiteOnLoad.js'|resurl}"></script>
<script type="text/javascript">
{if !empty($package)}
setting.siteDescriptionMaxLength = {$package.siteDescriptionMaxLength};
setting.maxKeywordsCountPerSite = {$package.maxKeywordsCountPerSite};
{else}
setting.siteDescriptionMaxLength = {$setting.siteDescriptionMaxLength};
setting.maxKeywordsCountPerSite = {$setting.maxKeywordsCountPerSite};
{/if}
setting.metaDataUrl = "/webmaster/getMetaData";
{if isset($siteId)}
setting.siteId = {$siteId};
setting.websiteDataUrl = "/webmaster/getWebsiteData";
{/if}
setting.backLinkCodeDataUrl = "/webmaster/getBackLinkData";
</script>
{/capture}

{include file="includes/header.tpl" title="{'Webmaster add/edit site'|lang}"}

<div class="show_arbo"> 
<a href="{$setting.siteRootUrl}" class="link_showarbo">{'Directory'|lang} </a> 
&gt; <a href="{'/webmaster/manage'|url}" class="link_showarbo">{'Management'|lang}</a>
&gt; <a href="{'/webmaster/submitWebsite'|url}" class="link_showarbo">{'Webmaster add/edit site'|lang}</a>  
</div>

<div class="title_h_1">
<h1>{'Webmaster add/edit site'|lang}</h1>
</div>
<div class="column_in_table2">
<form method="post" action="{'/webmaster/saveNewWebsite'|url}" id="websiteEditForm">
<input type="hidden" name="siteType" value="{$siteType}">
{if isset($siteId)}
<input type="hidden" name="siteId" value="{$siteId}">
{/if}

<div class="column_in_subbmit">
{'Categories'|lang}
</div>
<div class="column_in_subbmit_out">
<table class="table4" cellspacing="1">
<tbody>
<tr>
    <td>{'Category'|lang}: </td>
    <td><select name="categoryId" class="" id="all_categories_dropdown">
        <option value=''>{'Select category'|lang}</option>
         {html_options options=$selectCategories selected=$selectedCategoryId}
        </select></td>
</tr>
</tbody>
</table>

<table class="table2" cellspacing="1">
<col class="col3-1" /><col class="col3-2" />
<tbody>
<tr>
    <td>{'Proposal of category'|lang}:</td>
    <td><input type="text" class="input_text_large" name="proposalForCategory" value="" /></td>
</tr>
</tbody>
</table>
</div>

<div class="column_in_subbmit">
{'General information'|lang}
</div>
<div class="column_in_subbmit_out">
<table class="table2" cellspacing="1">
<col class="col3-1" /><col class="col3-2" />
<tbody>
{if $setting.countryFlagsEnabled} 
<tr>
    <td>{'Language site'|lang}: </td>
    <td><select name="countryCode" class="" id="countryCode">
        
        <option value=''>{'Select language site'|lang}</option>
        {html_options options=$countryFlags} 
        </select>
		<img src="" alt="" id="countryFlagImage" style="display:none;" />
	</td>
</tr>
{/if}
<tr>
    <td>{'Title of site'|lang}: </td>
    <td><input type="text" class="input_text_large" name="siteTitle" value="" /></td>
</tr>
<tr>   
    <td>{'Address of site (Url)'|lang}: </td>
    <td><input type="text" class="input_text_metas" name="url" value="http://" /> <input type="button" class="button" value="Metas" id="metaTagButton" /></td>
</tr>
<tr>
    <td>{'Title of RSS Flux'|lang}:</td>
    <td><input type="text" class="input_text_large" name="rssTitle" value="" /></td>
</tr>
<tr>            
    <td>{'Adress of RSS Flux (Url)'|lang}:</td>
    <td><input type="text" class="input_text_large" name="rssFeedOfSite" value="" /></td>
</tr>
<tr>
    <td>{'Description of site'|lang}:</td>
    <td><textarea class="textarea_large" name="description" cols="50" rows="5"></textarea><br />
        <span class="text_red" id="siteDescrCharsLeftField"></span>&nbsp;{'characters remaining'|lang}.</td>
</tr>
</tbody>
</table>
</div>

{if $setting.companyInfoEnabled || $setting.googleMapEnabled}
<div class="column_in_subbmit">
{'Information about your Company / Used to appear on google map'|lang}
</div>
<div class="column_in_subbmit_out">
<table class="table2" cellspacing="1">
<col class="col3-1" /><col class="col3-2" />
<tbody>
<tr>
    <td>{'Adress'|lang}:</td>
    <td><input type="text" class="input_text_large" name="address" value="" /></td>
</tr>
<tr>
    <td>{'ZIP Code'|lang}:</td>
    <td><input type="text" class="input_text_large" name="zipCode" value="" /></td>
</tr>
<tr>
    <td>{'City'|lang}:</td>
    <td><input type="text" class="input_text_large" name="city" value="" /></td>
</tr>
<tr>
    <td>{'Country'|lang}:</td>
    <td><input type="text" class="input_text_large" name="country" value="" /></td>
</tr>
<tr>
    <td>{'Phone number'|lang}:</td>
    <td><input type="text" class="input_text_large" name="phoneNumber" value="" /></td>
</tr>
<tr>
    <td>{'Fax number'|lang}:</td>
    <td><input type="text" class="input_text_large" name="faxNumber" value="" /></td>
</tr>
</tbody>
</table>
</div>
{/if}

{if $setting.keywordsEnabled}
<div class="column_in_subbmit">
{'Keywords'|lang}
</div>
<div class="column_in_subbmit_out">
<table class="table2" cellspacing="1">
<col class="col3-1" /><col class="col3-2" />
<tbody>

{if !empty($package)}
{ math equation="x + 1" x=$package.maxKeywordsCountPerSite assign="stopLimit"}
{else}
{ math equation="x + 1" x=$setting.maxKeywordsCountPerSite assign="stopLimit"}
{/if}

{for start=1 stop=$stopLimit step=1 value=i} 

<tr id="keyword_{$i}" style="visibility: hidden;">
    <td>{'Keyword'|lang} {$i}:</td>
    <td><select name="keywords[{$i}]">
        <option value=""> {'Choose your key word'|lang} </option>
        {foreach from=$allKeywordsList value=keyword key=keywordId}
        <option value="{$keywordId}" >{$keyword} </option>
        {/foreach}
        </select></td>
</tr>

{/for}

<tr>
    <td>{'Proposal of Keywords'|lang}:</td>
    <td><input type="text" class="input_text_large" name="proposalForKeywords" value="" /></td>
</tr>
</tbody>
</table>
</div>
{/if}

<div class="column_in_subbmit">
{'Backlink'|lang}
</div>
<div class="column_in_subbmit_out">
<table class="table2" cellspacing="1">
<col class="col3-1" /><col class="col3-2" />
<tbody>
<tr>
    <td></td>
	<td>{'A back link to your site is not mandatory but recommended'|lang}.<br />
{'By making a backlink, your site will have many advantages'|lang}.<br />
{'If you put a backlink to your site, it must already be present before you submit your site'|lang}.<br /> 
{'Please indicate the url backlink in the fields below'|lang}</td>
</tr>
<tr>
    <td>{'Adress of return link (Url)'|lang}:</td>
    <td><input type="text" class="input_text_large" name="returnBond" value="" /></td>
</tr>
{if $setting.backLinkHtmlCode1Enabled}
<tr>
    <td>{'Backlink Html code 1'|lang}:<br />
	{'Link to the index'|lang}</td>
    <td><textarea class="textarea_return" name="backLinkCode1" cols="50" rows="5"><a href="{if $setting.backLinkHtmlCode1Url}{$setting.backLinkHtmlCode1Url}{else}{$setting.siteRootUrl}{/if}">{if $setting.backLinkHtmlCode1Text}{$setting.backLinkHtmlCode1Text}{else}{$setting.siteTitle}{/if}</a></textarea></td>
</tr>
{/if}
{if $setting.backLinkHtmlCode2Enabled}
<tr>
    <td>{'Backlink Html code 2'|lang}:<br />
	{'Link to the category where your site is indexed'|lang}</td>
    <td><textarea class="textarea_return" name="backLinkCode2" cols="50" rows="5"></textarea></td>
</tr>
{/if}

<tr>
    <td></td>
    <td>
    <div id="siteLoader" style="display:none;"> {'Checking site'|lang}... <img src="{'/templates/darkt/images/loader.gif'|resurl}"></div>  
    <input type="submit" class="button" value="{'Send the site'|lang}" /></td>
</tr>
</tbody>
</table>
</div>
</form>
</div>

{include file="includes/footer.tpl"}